#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# Solver Class

Defined in: `src/solver/Solver.js:3`

Constraint equation solver base class.

## Constructor

### `Solver`

()

Defined in `src/solver/Solver.js:3`

- Index
- Methods
- Properties

## Item Index

### Methods

- addEquation
- removeAllEquations
- removeEquation
- solve

### Properties

- equations

## Methods

### `addEquation`

(

- `eq`

)

Defined in `src/solver/Solver.js:28`

Add an equation

#### Parameters:

- `eq` Equation

### `removeAllEquations`

()

Defined in `src/solver/Solver.js:52`

Add all equations

### `removeEquation`

(

- `eq`

)

Defined in `src/solver/Solver.js:39`

Remove an equation

#### Parameters:

- `eq` Equation

### `solve`

(

- `dt`
- `world`

)

Defined in `src/solver/Solver.js:17`

Should be implemented in subclasses!

#### Parameters:

- `dt` Number
- `world` World

## Properties

### `equations`

Array

Defined in `src/solver/Solver.js:10`

All equations to be solved